Package org.eclipse.m2m.atl.profiler.model

## Interface ATLOperation

All Superinterfaces:
  `ATLInstruction`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ATLOperationImpl`

    public interface ATLOperation
    extends ATLInstruction

A representation of the model object 'ATL Operation'.

The following features are supported:

- `Calls`

See Also:
  `ModelPackage.getATLOperation()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCalls()` Returns the value of the 'Calls' attribute.
`void` `setCalls​(int value)` Sets the value of the '`Calls`' attribute.

### Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ATLInstruction

`getATLElementRef, getName, getProfilingInstructions, setATLElementRef, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getCalls

    int getCalls()

Returns the value of the 'Calls' attribute.

If the meaning of the 'Calls' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Calls' attribute.
See Also:
  `setCalls(int)`, `ModelPackage.getATLOperation_Calls()`

#### setCalls

    void setCalls​(int value)

Sets the value of the '`Calls`' attribute.

Parameters:
  `value` - the new value of the 'Calls' attribute.
See Also:
  `getCalls()`